summaryrefslogtreecommitdiffstats
path: root/testing2x
diff options
context:
space:
mode:
authorPierre Schmitz <pierre@archlinux.de>2010-08-08 15:03:27 +0200
committerPierre Schmitz <pierre@archlinux.de>2010-08-08 15:03:27 +0200
commit9eb1cd7b9403533c4b60ecfbbbf00a08c211059a (patch)
tree024459abc4017b4c574bf6e5cd9d2f4df2b95f26 /testing2x
parent388d629327d97e8d15a7a67cc87ae36edfe2f385 (diff)
downloaddbscripts-9eb1cd7b9403533c4b60ecfbbbf00a08c211059a.tar.gz
dbscripts-9eb1cd7b9403533c4b60ecfbbbf00a08c211059a.tar.xz
Move common function to db-functions
db-functions now sets an individual $WORKDIR and implements trap functinos that remove locks on exit or error. There are new functions to lock and unlock the running script. misc-scripts/ftpdir-cleanup was renamed to ftpdir-cleanup-repo as the cron-job had the same name. Script names have to be unique when using db-functions.
Diffstat (limited to 'testing2x')
-rwxr-xr-xtesting2x16
1 files changed, 0 insertions, 16 deletions
diff --git a/testing2x b/testing2x
index e9fbeaa..bf48be6 100755
--- a/testing2x
+++ b/testing2x
@@ -12,20 +12,6 @@ case "$0" in
;;
esac
-cleanup() {
- trap '' 0 2
- rm -rf "${WORKDIR}"
- [ -n "$1" ] && exit $1
-}
-
-ctrl_c() {
- echo "Interrupted" >&2
- cleanup 0
-}
-
-trap ctrl_c 2
-trap cleanup 0
-
cd "${WORKDIR}"
/usr/bin/svn checkout -N $SVNREPO checkout
cd checkout
@@ -49,5 +35,3 @@ for pkg in $*; do
echo "===> Warning: ${pkg} is not in testing-${_arch}"
fi
done
-
-cleanup